<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');



//23-08-2023 mostrar carga y filtros
//$mostrarCargaCamion=($_SESSION['parametrosSGA']['ControlCamionesRecepcion']=='S' || $_SESSION['parametrosSGA']['ControlCamionesRecepcion']=='P');
//26-04-2024 IPM nos damos cuenta en Altimex que no tiene sentido, porque hay muchas cargas dentro de cada proveedor y no llegan
$mostrarCargaCamion=false;

$peticion='WSRecepcionComprasTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PENDIENTEPROVEEDOR#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);


if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboProveedores=array();
$comboCargasCamionDescripcion=array();
	
foreach($resultado as $item) {

	if(!in_array($item['ProveedorNombre'],$comboProveedores) && $item['ProveedorNombre']!='') $comboProveedores[]=$item['ProveedorNombre'];
	
	$cargasCamionDescripcion=explode('¬',$item['CargaCamionDescripcion']);
	foreach($cargasCamionDescripcion as $item2) {
		if(!in_array($item2,$comboCargasCamionDescripcion) && $item2!='') $comboCargasCamionDescripcion[]=$item2;
	}
		
}

asort($comboProveedores);
asort($comboCargasCamionDescripcion);

if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	?>
    
    <table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
		<th>Proveedor</th>
        <th>Pedidos pendientes</th>
		<th>Productos pendientes</th>
		<th>Cantidad pendiente</th>
        <th>Albaranes en recepción</th>
      </tr>
	<?php
	
	foreach($resultado as $proveedor) {
	
		$albaranes=arreglaArrayPXMobileProxiumResult($proveedor['RecepcionesEnCurso']);
	
		?>
		<tr proveedorNombre="<?php echo $proveedor['ProveedorNombre']; ?>" proveedorCodigo="<?php echo $proveedor['ProveedorCodigo']; ?>"  class="lineaOrden altoMinimo clicable" >
			<td align="left"><?php echo $proveedor['ProveedorNombre']; ?></td>
		    <td><?php echo formateaNumeroDecimal($proveedor['PedidosPendientes'],true); ?></td>
			<td><?php echo formateaNumeroDecimal($proveedor['ProductosPendientes'],true); ?></td>
			<td><?php echo formateaNumeroDecimal($proveedor['CantidadPendiente'],true); ?></td>
            <td>
            <?php foreach($albaranes as $albaran) { ?>
            <?php echo $albaran['AlbaranProveedor']; ?> (<?php echo $albaran['Usuario']; ?>)<br />
            <?php } ?>
            </td>
      	</tr>
	
		<?php } ?>
        
    </table>
    
	<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Proveedor:<br />
                <select name="filtroProveedor" id="filtroProveedor" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboProveedores as $item) { ?>
                    <option value="<?php echo $item; ?>" <?php if($_SESSION['filtrosRecepcionCompraListado']['filtroProveedor']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                
                <?php if($mostrarCargaCamion) { ?>
                        <td>
						Carga:<br />
						<select name="filtroCargaCamionDescripcion" id="filtroCargaCamionDescripcion" class="campo selectorFiltro" style="width:200px">
							<option value="">---</option>
							<?php foreach($comboCargasCamionDescripcion as $item) { ?>
							<option value="<?php echo $item; ?>" <?php if($_SESSION['filtrosRecepcionCompraListado']['filtroCargaCamionDescripcion']==$item) { ?>selected<?php } ?>><?php echo $item; ?></option>
							<?php } ?>
						</select>
						</td>
                        <?php } else { ?>
                        <input type="hidden" name="filtroCargaCamionDescripcion" id="filtroCargaCamionDescripcion" value=""/>
                <?php } ?>
                
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
		function actualizaFiltrosVariablesSesion() {
			
			$.post( '<?php echo $rutaHtml; ?>/contenidos/recepcion-compra-listado-filtros.php?<?php foreach(unserialize(FILTROS_RECEPCION_COMPRA) as $filtro) { echo $filtro."='+$('#".$filtro."').val()+'&"; } ?>' );
							
		}
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroProveedor').val()=='' && $('#filtroCargaCamionDescripcion').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaProveedor=false;
				var coincidenciaCargaCamionDescripcion=false;
			
				if( $('#filtroProveedor').val()!='' && $(this).attr('proveedorNombre')==$('#filtroProveedor').val() ) coincidenciaProveedor=true;
				else if( $('#filtroProveedor').val()=='' ) coincidenciaProveedor=true;
				
				if( $('#filtroCargaCamionDescripcion').val()!='' && $(this).attr('cargaCamionDescripcion').includes($('#filtroCargaCamionDescripcion').val()) ) coincidenciaCargaCamionDescripcion=true;
				else if( $('#filtroCargaCamionDescripcion').val()=='' ) coincidenciaCargaCamionDescripcion=true;
			
				if( coincidenciaProveedor && coincidenciaCargaCamionDescripcion ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
			
			actualizaFiltrosVariablesSesion();
		
		}
	
		$(document).ready(function() {
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroProveedor option:selected').removeProp('selected');
				$('#filtroProveedor option[value=""]').prop('selected',true);
				
				$('#filtroCargaCamionDescripcion option:selected').removeProp('selected');
				$('#filtroCargaCamionDescripcion option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
				actualizaFiltrosVariablesSesion();
				
			});
			
			aplicarFiltro(); //19-06-2025 Ponemos filtros heredados por sesión, como en otras pantallas TICKET 25067493
			
		});
	
	</script>
    
	<?php
}
else {
	?><p>No hay ninguna recepción de compra pendiente.</p><?php
}
?>